# Generated by Django 3.1.2 on 2021-01-01 22:13

import daftarjadwal.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='PostModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('namaMatkul', models.CharField(max_length=150)),
                ('namaTugas', models.TextField(max_length=300, validators=[daftarjadwal.models.validate_author])),
                ('semester', models.CharField(choices=[('Gasal 2020/2021', 'Gasal 2020/2021'), ('Genap 2020/2021', 'Genap 2020/2021'), ('Gasal 2019/2020', 'Gasal 2019/2020'), ('Genap 2019/2020', 'Genap 2019/2020'), ('Gasal 2018/2019', 'Gasal 2018/2019'), ('Genap 2018/2019', 'Genap 2018/2019'), ('Gasal 2017/2018', 'Gasal 2017/2018'), ('Genap 2017/2018', 'Genap 2017/2018')], max_length=100)),
                ('Deadline', models.DateField()),
                ('published', models.DateTimeField(auto_now_add=True)),
            ],
        ),
    ]
